summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gentoo.org>2015-04-18 23:43:08 +0000
committerAlexandre Rostovtsev <tetromino@gentoo.org>2015-04-18 23:43:08 +0000
commit3ba31e563691fb704bf544b83124ff6e6ccfc0e4 (patch)
treeacb1d814e6a67ff90c22e64db37ab4b17e18d415 /app-emulation
parentAdd Nios II (nios2) arch support. (diff)
downloadgentoo-2-3ba31e563691fb704bf544b83124ff6e6ccfc0e4.tar.gz
gentoo-2-3ba31e563691fb704bf544b83124ff6e6ccfc0e4.tar.bz2
gentoo-2-3ba31e563691fb704bf544b83124ff6e6ccfc0e4.zip
Drop old ebuilds incompatible with new multilib (bug #543336).
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 0x18E5B6F2D8D5EC8D)
Diffstat (limited to 'app-emulation')
-rw-r--r--app-emulation/wine/ChangeLog8
-rw-r--r--app-emulation/wine/files/wine-1.1.15-winegcc.patch55
-rw-r--r--app-emulation/wine/files/wine-1.2.3-msxml3-libxml2-headers.patch574
-rw-r--r--app-emulation/wine/files/wine-1.5.23-winebuild-CCAS.patch214
-rw-r--r--app-emulation/wine/metadata.xml2
-rw-r--r--app-emulation/wine/wine-1.2.3.ebuild233
-rw-r--r--app-emulation/wine/wine-1.3.28.ebuild213
-rw-r--r--app-emulation/wine/wine-1.4.1.ebuild249
8 files changed, 7 insertions, 1541 deletions
diff --git a/app-emulation/wine/ChangeLog b/app-emulation/wine/ChangeLog
index 1bf9da39788d..d6cfd6b516f9 100644
--- a/app-emulation/wine/ChangeLog
+++ b/app-emulation/wine/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for app-emulation/wine
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/ChangeLog,v 1.532 2015/04/10 06:24:37 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/ChangeLog,v 1.533 2015/04/18 23:43:08 tetromino Exp $
+
+ 18 Apr 2015; Alexandre Rostovtsev <tetromino@gentoo.org> -wine-1.2.3.ebuild,
+ -wine-1.3.28.ebuild, -wine-1.4.1.ebuild, -files/wine-1.1.15-winegcc.patch,
+ -files/wine-1.2.3-msxml3-libxml2-headers.patch,
+ -files/wine-1.5.23-winebuild-CCAS.patch, metadata.xml:
+ Drop old ebuilds incompatible with new multilib (bug #543336).
*wine-1.7.40 (10 Apr 2015)
diff --git a/app-emulation/wine/files/wine-1.1.15-winegcc.patch b/app-emulation/wine/files/wine-1.1.15-winegcc.patch
deleted file mode 100644
index a1cd8907a887..000000000000
--- a/app-emulation/wine/files/wine-1.1.15-winegcc.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-http://bugs.gentoo.org/260726
-
---- wine-1.1.15/tools/winegcc/winegcc.c
-+++ wine-1.1.15/tools/winegcc/winegcc.c
-@@ -215,10 +215,13 @@
- strarray* files;
- };
-
-+#undef FORCE_POINTER_SIZE
- #ifdef __i386__
- static const enum target_cpu build_cpu = CPU_x86;
-+#define FORCE_POINTER_SIZE
- #elif defined(__x86_64__)
- static const enum target_cpu build_cpu = CPU_x86_64;
-+#define FORCE_POINTER_SIZE
- #elif defined(__sparc__)
- static const enum target_cpu build_cpu = CPU_SPARC;
- #elif defined(__ALPHA__)
-@@ -968,6 +971,9 @@
- opts.linker_args = strarray_alloc();
- opts.compiler_args = strarray_alloc();
- opts.winebuild_args = strarray_alloc();
-+#ifdef FORCE_POINTER_SIZE
-+ opts.force_pointer_size = sizeof(size_t);
-+#endif
-
- /* determine the processor type */
- if (strendswith(argv[0], "winecpp")) opts.processor = proc_cpp;
---- wine-1.1.15/tools/winebuild/main.c
-+++ wine-1.1.15/tools/winebuild/main.c
-@@ -50,10 +50,13 @@
- int link_ext_symbols = 0;
- int force_pointer_size = 0;
-
-+#undef FORCE_POINTER_SIZE
- #ifdef __i386__
- enum target_cpu target_cpu = CPU_x86;
-+#define FORCE_POINTER_SIZE
- #elif defined(__x86_64__)
- enum target_cpu target_cpu = CPU_x86_64;
-+#define FORCE_POINTER_SIZE
- #elif defined(__sparc__)
- enum target_cpu target_cpu = CPU_SPARC;
- #elif defined(__ALPHA__)
-@@ -574,6 +577,10 @@
- signal( SIGTERM, exit_on_signal );
- signal( SIGINT, exit_on_signal );
-
-+#ifdef FORCE_POINTER_SIZE
-+ force_pointer_size = sizeof(size_t);
-+#endif
-+
- output_file = stdout;
- argv = parse_options( argc, argv, spec );
-
diff --git a/app-emulation/wine/files/wine-1.2.3-msxml3-libxml2-headers.patch b/app-emulation/wine/files/wine-1.2.3-msxml3-libxml2-headers.patch
deleted file mode 100644
index c1a80d3c408a..000000000000
--- a/app-emulation/wine/files/wine-1.2.3-msxml3-libxml2-headers.patch
+++ /dev/null
@@ -1,574 +0,0 @@
-From 26603f25f73142a45b5b964bb9bb2e59bc0908d4 Mon Sep 17 00:00:00 2001
-From: Alexandre Julliard <julliard@winehq.org>
-Date: Thu, 24 Feb 2011 13:11:53 +0100
-Subject: [PATCH] msxml3: Include the system libxml headers before the Windows
- headers.
-
-[Alexandre Rostovtsev <tetromino@gentoo.org>: backport to wine-1.2.3]
----
- dlls/msxml3/attribute.c | 6 ++++++
- dlls/msxml3/bsc.c | 6 ++++++
- dlls/msxml3/cdata.c | 5 +++++
- dlls/msxml3/comment.c | 5 +++++
- dlls/msxml3/dispex.c | 5 +++++
- dlls/msxml3/docfrag.c | 5 +++++
- dlls/msxml3/domdoc.c | 11 +++++++++--
- dlls/msxml3/domimpl.c | 5 +++++
- dlls/msxml3/element.c | 5 +++++
- dlls/msxml3/entityref.c | 5 +++++
- dlls/msxml3/factory.c | 5 +++++
- dlls/msxml3/httprequest.c | 6 ++++++
- dlls/msxml3/main.c | 15 +++++++++++++++
- dlls/msxml3/msxml_private.h | 23 -----------------------
- dlls/msxml3/node.c | 31 +++++++++++++++++++++++++++----
- dlls/msxml3/nodelist.c | 5 +++++
- dlls/msxml3/nodemap.c | 5 +++++
- dlls/msxml3/parseerror.c | 5 +++++
- dlls/msxml3/pi.c | 5 +++++
- dlls/msxml3/queryresult.c | 9 +++++++--
- dlls/msxml3/regsvr.c | 4 ++++
- dlls/msxml3/saxreader.c | 10 +++++++---
- dlls/msxml3/schema.c | 12 ++++++++++++
- dlls/msxml3/text.c | 5 +++++
- dlls/msxml3/xmldoc.c | 5 +++++
- dlls/msxml3/xmlelem.c | 5 +++++
- 26 files changed, 174 insertions(+), 34 deletions(-)
-
-diff --git a/dlls/msxml3/attribute.c b/dlls/msxml3/attribute.c
-index d78fa47..3df93d6 100644
---- a/dlls/msxml3/attribute.c
-+++ b/dlls/msxml3/attribute.c
-@@ -23,6 +23,12 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/HTMLtree.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/bsc.c b/dlls/msxml3/bsc.c
-index b24e04c..01a09a5 100644
---- a/dlls/msxml3/bsc.c
-+++ b/dlls/msxml3/bsc.c
-@@ -23,6 +23,12 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/HTMLtree.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/cdata.c b/dlls/msxml3/cdata.c
-index 3fba66c..caf8cd8 100644
---- a/dlls/msxml3/cdata.c
-+++ b/dlls/msxml3/cdata.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/comment.c b/dlls/msxml3/comment.c
-index e74de07..1cabfa3 100644
---- a/dlls/msxml3/comment.c
-+++ b/dlls/msxml3/comment.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/dispex.c b/dlls/msxml3/dispex.c
-index 09b71fe..6b01b15 100644
---- a/dlls/msxml3/dispex.c
-+++ b/dlls/msxml3/dispex.c
-@@ -22,6 +22,11 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/docfrag.c b/dlls/msxml3/docfrag.c
-index fff3f62..bebd252 100644
---- a/dlls/msxml3/docfrag.c
-+++ b/dlls/msxml3/docfrag.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/domdoc.c b/dlls/msxml3/domdoc.c
-index 0007503..e6a61e4 100644
---- a/dlls/msxml3/domdoc.c
-+++ b/dlls/msxml3/domdoc.c
-@@ -25,6 +25,15 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/xpathInternals.h>
-+# include <libxml/xmlsave.h>
-+# include <libxml/SAX2.h>
-+# include <libxml/parserInternals.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-@@ -47,8 +56,6 @@ WINE_DEFAULT_DEBUG_CHANNEL(msxml);
-
- #ifdef HAVE_LIBXML2
-
--#include <libxml/xmlsave.h>
--
- /* not defined in older versions */
- #define XML_SAVE_FORMAT 1
- #define XML_SAVE_NO_DECL 2
-diff --git a/dlls/msxml3/domimpl.c b/dlls/msxml3/domimpl.c
-index dd518a1..c6794ac 100644
---- a/dlls/msxml3/domimpl.c
-+++ b/dlls/msxml3/domimpl.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/element.c b/dlls/msxml3/element.c
-index 617c008..1b5c693 100644
---- a/dlls/msxml3/element.c
-+++ b/dlls/msxml3/element.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/entityref.c b/dlls/msxml3/entityref.c
-index db46193..1baea6e 100644
---- a/dlls/msxml3/entityref.c
-+++ b/dlls/msxml3/entityref.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/factory.c b/dlls/msxml3/factory.c
-index 3fd229c..45df9f0 100644
---- a/dlls/msxml3/factory.c
-+++ b/dlls/msxml3/factory.c
-@@ -24,6 +24,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/httprequest.c b/dlls/msxml3/httprequest.c
-index 4585484..be1a5f7 100644
---- a/dlls/msxml3/httprequest.c
-+++ b/dlls/msxml3/httprequest.c
-@@ -22,6 +22,12 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/encoding.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/main.c b/dlls/msxml3/main.c
-index 60b0cbd..47a89b1 100644
---- a/dlls/msxml3/main.c
-+++ b/dlls/msxml3/main.c
-@@ -25,6 +25,21 @@
- #define COBJMACROS
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# ifdef SONAME_LIBXSLT
-+# ifdef HAVE_LIBXSLT_PATTERN_H
-+# include <libxslt/pattern.h>
-+# endif
-+# ifdef HAVE_LIBXSLT_TRANSFORM_H
-+# include <libxslt/transform.h>
-+# endif
-+# include <libxslt/xsltutils.h>
-+# include <libxslt/xsltInternals.h>
-+# endif
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/msxml_private.h b/dlls/msxml3/msxml_private.h
-index e0279f1..e1fbb59 100644
---- a/dlls/msxml3/msxml_private.h
-+++ b/dlls/msxml3/msxml_private.h
-@@ -102,10 +102,6 @@ BOOL dispex_query_interface(DispatchEx*,REFIID,void**);
-
- #ifdef HAVE_LIBXML2
-
--#ifdef HAVE_LIBXML_PARSER_H
--#include <libxml/parser.h>
--#endif
--
- /* constructors */
- extern IUnknown *create_domdoc( xmlNodePtr document );
- extern IUnknown *create_xmldoc( void );
-@@ -184,25 +180,6 @@ static inline BSTR bstr_from_xmlChar(const xmlChar *str)
-
- #endif
-
--void* libxslt_handle;
--#ifdef SONAME_LIBXSLT
--# ifdef HAVE_LIBXSLT_PATTERN_H
--# include <libxslt/pattern.h>
--# endif
--# ifdef HAVE_LIBXSLT_TRANSFORM_H
--# include <libxslt/transform.h>
--# endif
--# include <libxslt/xsltutils.h>
--# include <libxslt/xsltInternals.h>
--
--# define MAKE_FUNCPTR(f) extern typeof(f) * p##f
--MAKE_FUNCPTR(xsltApplyStylesheet);
--MAKE_FUNCPTR(xsltCleanupGlobals);
--MAKE_FUNCPTR(xsltFreeStylesheet);
--MAKE_FUNCPTR(xsltParseStylesheetDoc);
--# undef MAKE_FUNCPTR
--#endif
--
- extern IXMLDOMParseError *create_parseError( LONG code, BSTR url, BSTR reason, BSTR srcText,
- LONG line, LONG linepos, LONG filepos );
- extern HRESULT DOMDocument_create( IUnknown *pUnkOuter, LPVOID *ppObj );
-diff --git a/dlls/msxml3/node.c b/dlls/msxml3/node.c
-index bbdcb5d..2980566 100644
---- a/dlls/msxml3/node.c
-+++ b/dlls/msxml3/node.c
-@@ -24,6 +24,23 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/HTMLtree.h>
-+# ifdef SONAME_LIBXSLT
-+# ifdef HAVE_LIBXSLT_PATTERN_H
-+# include <libxslt/pattern.h>
-+# endif
-+# ifdef HAVE_LIBXSLT_TRANSFORM_H
-+# include <libxslt/transform.h>
-+# endif
-+# include <libxslt/xsltutils.h>
-+# include <libxslt/xsltInternals.h>
-+# endif
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-@@ -33,16 +50,22 @@
-
- #include "msxml_private.h"
-
--#ifdef HAVE_LIBXML2
--# include <libxml/HTMLtree.h>
--#endif
--
- #include "wine/debug.h"
-
- WINE_DEFAULT_DEBUG_CHANNEL(msxml);
-
- #ifdef HAVE_LIBXML2
-
-+#ifdef SONAME_LIBXSLT
-+extern void* libxslt_handle;
-+# define MAKE_FUNCPTR(f) extern typeof(f) * p##f
-+MAKE_FUNCPTR(xsltApplyStylesheet);
-+MAKE_FUNCPTR(xsltCleanupGlobals);
-+MAKE_FUNCPTR(xsltFreeStylesheet);
-+MAKE_FUNCPTR(xsltParseStylesheetDoc);
-+# undef MAKE_FUNCPTR
-+#endif
-+
- static const WCHAR szBinBase64[] = {'b','i','n','.','b','a','s','e','6','4',0};
- static const WCHAR szString[] = {'s','t','r','i','n','g',0};
- static const WCHAR szNumber[] = {'n','u','m','b','e','r',0};
-diff --git a/dlls/msxml3/nodelist.c b/dlls/msxml3/nodelist.c
-index f643c5e..4b2bba9 100644
---- a/dlls/msxml3/nodelist.c
-+++ b/dlls/msxml3/nodelist.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/nodemap.c b/dlls/msxml3/nodemap.c
-index 7d23ec8..d3d9c38 100644
---- a/dlls/msxml3/nodemap.c
-+++ b/dlls/msxml3/nodemap.c
-@@ -23,6 +23,11 @@
- #define COBJMACROS
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/parseerror.c b/dlls/msxml3/parseerror.c
-index 4b0dc57..89f14ca 100644
---- a/dlls/msxml3/parseerror.c
-+++ b/dlls/msxml3/parseerror.c
-@@ -25,6 +25,11 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winerror.h"
-diff --git a/dlls/msxml3/pi.c b/dlls/msxml3/pi.c
-index 0baefe4..3ebc1bf 100644
---- a/dlls/msxml3/pi.c
-+++ b/dlls/msxml3/pi.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/queryresult.c b/dlls/msxml3/queryresult.c
-index 2c6f23e..8613b20 100644
---- a/dlls/msxml3/queryresult.c
-+++ b/dlls/msxml3/queryresult.c
-@@ -24,6 +24,13 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/xpath.h>
-+# include <libxml/xpathInternals.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-@@ -48,8 +55,6 @@ WINE_DEFAULT_DEBUG_CHANNEL(msxml);
-
- #ifdef HAVE_LIBXML2
-
--#include <libxml/xpath.h>
--
- typedef struct _queryresult
- {
- DispatchEx dispex;
-diff --git a/dlls/msxml3/regsvr.c b/dlls/msxml3/regsvr.c
-index 415e5af..864d61e 100644
---- a/dlls/msxml3/regsvr.c
-+++ b/dlls/msxml3/regsvr.c
-@@ -24,6 +24,10 @@
-
- #include <stdarg.h>
- #include <string.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-
- #define COBJMACROS
-
-diff --git a/dlls/msxml3/saxreader.c b/dlls/msxml3/saxreader.c
-index eca9f1d..f2d340e 100644
---- a/dlls/msxml3/saxreader.c
-+++ b/dlls/msxml3/saxreader.c
-@@ -24,6 +24,13 @@
-
- #include <stdarg.h>
- #include <assert.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/SAX2.h>
-+# include <libxml/parserInternals.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-@@ -43,9 +50,6 @@ WINE_DEFAULT_DEBUG_CHANNEL(msxml);
-
- #ifdef HAVE_LIBXML2
-
--#include <libxml/SAX2.h>
--#include <libxml/parserInternals.h>
--
- typedef struct _saxreader
- {
- const struct IVBSAXXMLReaderVtbl *lpVBSAXXMLReaderVtbl;
-diff --git a/dlls/msxml3/schema.c b/dlls/msxml3/schema.c
-index 72d7854..c1465c0 100644
---- a/dlls/msxml3/schema.c
-+++ b/dlls/msxml3/schema.c
-@@ -23,6 +23,18 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+# include <libxml/tree.h>
-+# include <libxml/xmlschemas.h>
-+# include <libxml/schemasInternals.h>
-+# include <libxml/hash.h>
-+# include <libxml/parser.h>
-+# include <libxml/parserInternals.h>
-+# include <libxml/xmlIO.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/text.c b/dlls/msxml3/text.c
-index fdcb06b..72b2ffd 100644
---- a/dlls/msxml3/text.c
-+++ b/dlls/msxml3/text.c
-@@ -24,6 +24,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/xmldoc.c b/dlls/msxml3/xmldoc.c
-index d1a010f..0d1006e 100644
---- a/dlls/msxml3/xmldoc.c
-+++ b/dlls/msxml3/xmldoc.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
-diff --git a/dlls/msxml3/xmlelem.c b/dlls/msxml3/xmlelem.c
-index a71b18b..a818d14 100644
---- a/dlls/msxml3/xmlelem.c
-+++ b/dlls/msxml3/xmlelem.c
-@@ -23,6 +23,11 @@
- #include "config.h"
-
- #include <stdarg.h>
-+#ifdef HAVE_LIBXML2
-+# include <libxml/parser.h>
-+# include <libxml/xmlerror.h>
-+#endif
-+
- #include "windef.h"
- #include "winbase.h"
- #include "winuser.h"
---
-1.7.8.3
-
diff --git a/app-emulation/wine/files/wine-1.5.23-winebuild-CCAS.patch b/app-emulation/wine/files/wine-1.5.23-winebuild-CCAS.patch
deleted file mode 100644
index 3971ddd362c9..000000000000
--- a/app-emulation/wine/files/wine-1.5.23-winebuild-CCAS.patch
+++ /dev/null
@@ -1,214 +0,0 @@
-From 57c57e9dfae50f045503ae9f3107fa3748512483 Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Sun, 3 Feb 2013 19:19:36 -0500
-Subject: [PATCH] winebuild: Use $CCAS to assemble if found
-
-Commit c14bdaf1 made winebuild use Clang to assemble if found.
-
-However, just because a user has some version of Clang installed, it
-does not mean that she wants to use Clang to assemble Wine. For example,
-a user who has both Clang and GAS installed may want to use GAS to avoid
-textrels (see https://bugs.gentoo.org/show_bug.cgi?id=455308).
-
-This patch allows the user to override which assembler gets used by
-exporting CCAS at Wine configure time; the name CCAS was chosen for
-compatibility with automake's standard AM_PROG_AS macro.
----
- configure | 106 ++++++++++++++++++++++++++++++++++++++++++++
- configure.ac | 4 ++
- tools/winebuild/Makefile.in | 5 ++-
- tools/winebuild/utils.c | 12 +++++
- 4 files changed, 126 insertions(+), 1 deletion(-)
-
-diff --git a/configure b/configure
-index e3253ee..d0b7777 100755
---- a/configure
-+++ b/configure
-@@ -732,6 +732,8 @@ FLEX
- TOOLSDIR
- WOW64_DISABLE
- TARGETFLAGS
-+ac_ct_CCAS
-+CCAS
- CPPBIN
- ac_ct_CXX
- CXXFLAGS
-@@ -861,6 +863,7 @@ CPPFLAGS
- CXX
- CXXFLAGS
- CCC
-+CCAS
- CPP
- XMKMF'
-
-@@ -1549,6 +1552,7 @@ Some influential environment variables:
- you have headers in a nonstandard directory <include dir>
- CXX C++ compiler command
- CXXFLAGS C++ compiler flags
-+ CCAS Assembler command
- CPP C preprocessor
- XMKMF Path to xmkmf, Makefile generator for X Window System
-
-@@ -4075,6 +4079,108 @@ cat >>confdefs.h <<_ACEOF
- _ACEOF
-
-
-+
-+if test -n "$ac_tool_prefix"; then
-+ for ac_prog in clang gas as
-+ do
-+ # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
-+set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-+$as_echo_n "checking for $ac_word... " >&6; }
-+if ${ac_cv_prog_CCAS+:} false; then :
-+ $as_echo_n "(cached) " >&6
-+else
-+ if test -n "$CCAS"; then
-+ ac_cv_prog_CCAS="$CCAS" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+ IFS=$as_save_IFS
-+ test -z "$as_dir" && as_dir=.
-+ for ac_exec_ext in '' $ac_executable_extensions; do
-+ if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+ ac_cv_prog_CCAS="$ac_tool_prefix$ac_prog"
-+ $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
-+ break 2
-+ fi
-+done
-+ done
-+IFS=$as_save_IFS
-+
-+fi
-+fi
-+CCAS=$ac_cv_prog_CCAS
-+if test -n "$CCAS"; then
-+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CCAS" >&5
-+$as_echo "$CCAS" >&6; }
-+else
-+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-+$as_echo "no" >&6; }
-+fi
-+
-+
-+ test -n "$CCAS" && break
-+ done
-+fi
-+if test -z "$CCAS"; then
-+ ac_ct_CCAS=$CCAS
-+ for ac_prog in clang gas as
-+do
-+ # Extract the first word of "$ac_prog", so it can be a program name with args.
-+set dummy $ac_prog; ac_word=$2
-+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-+$as_echo_n "checking for $ac_word... " >&6; }
-+if ${ac_cv_prog_ac_ct_CCAS+:} false; then :
-+ $as_echo_n "(cached) " >&6
-+else
-+ if test -n "$ac_ct_CCAS"; then
-+ ac_cv_prog_ac_ct_CCAS="$ac_ct_CCAS" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+ IFS=$as_save_IFS
-+ test -z "$as_dir" && as_dir=.
-+ for ac_exec_ext in '' $ac_executable_extensions; do
-+ if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+ ac_cv_prog_ac_ct_CCAS="$ac_prog"
-+ $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
-+ break 2
-+ fi
-+done
-+ done
-+IFS=$as_save_IFS
-+
-+fi
-+fi
-+ac_ct_CCAS=$ac_cv_prog_ac_ct_CCAS
-+if test -n "$ac_ct_CCAS"; then
-+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CCAS" >&5
-+$as_echo "$ac_ct_CCAS" >&6; }
-+else
-+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-+$as_echo "no" >&6; }
-+fi
-+
-+
-+ test -n "$ac_ct_CCAS" && break
-+done
-+
-+ if test "x$ac_ct_CCAS" = x; then
-+ CCAS=""$CC""
-+ else
-+ case $cross_compiling:$ac_tool_warned in
-+yes:)
-+{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-+$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
-+ac_tool_warned=yes ;;
-+esac
-+ CCAS=$ac_ct_CCAS
-+ fi
-+fi
-+
-+
- case $host in
- *-darwin*)
- if test "x$enable_win64" = "xyes"
-diff --git a/configure.ac b/configure.ac
-index c93cd08..760f325 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -126,6 +126,10 @@ dnl We can't use AC_PROG_CPP for winegcc, it uses by default $(CC) -E
- AC_CHECK_TOOL(CPPBIN,cpp,cpp)
- AC_DEFINE_UNQUOTED(EXEEXT,["$ac_exeext"],[Define to the file extension for executables.])
-
-+dnl Analogous to AM_PROG_AS
-+AC_ARG_VAR([CCAS],[Assembler command])
-+AC_CHECK_TOOLS(CCAS,[clang gas as],["$CC"])
-+
- case $host in
- *-darwin*)
- if test "x$enable_win64" = "xyes"
-diff --git a/tools/winebuild/Makefile.in b/tools/winebuild/Makefile.in
-index 2017129..3fe47a3 100644
---- a/tools/winebuild/Makefile.in
-+++ b/tools/winebuild/Makefile.in
-@@ -1,4 +1,7 @@
--DEFS = -D__WINESRC__ $(EXTRADEFS)
-+DEFS = \
-+ -DCCAS="\"@CCAS@\"" \
-+ -D__WINESRC__ \
-+ $(EXTRADEFS)
-
- PROGRAMS = winebuild$(EXEEXT)
- MANPAGE = winebuild.man
-diff --git a/tools/winebuild/utils.c b/tools/winebuild/utils.c
-index 262ff3a..1c5f918 100644
---- a/tools/winebuild/utils.c
-+++ b/tools/winebuild/utils.c
-@@ -352,6 +352,18 @@ struct strarray *get_as_command(void)
- static int as_is_clang = 0;
- struct strarray *args = strarray_init();
-
-+ if (!as_command && strlen( CCAS ))
-+ {
-+ struct stat st;
-+
-+ if (!stat( CCAS, &st ))
-+ as_command = CCAS;
-+ else
-+ as_command = find_tool( CCAS, NULL );
-+
-+ if (as_command && strstr( as_command, "clang" )) as_is_clang = 1;
-+ }
-+
- if (!as_command)
- {
- as_command = find_tool( "clang", NULL );
---
-1.8.1.2
-
diff --git a/app-emulation/wine/metadata.xml b/app-emulation/wine/metadata.xml
index 34b2fcd2361d..c14be1c7c846 100644
--- a/app-emulation/wine/metadata.xml
+++ b/app-emulation/wine/metadata.xml
@@ -33,7 +33,5 @@ Think of Wine as a compatibility layer for running Windows programs. Wine does n
http://wiki.winehq.org/NtlmAuthSetupGuide and
http://wiki.winehq.org/NtlmSigningAndSealing</flag>
<flag name='staging'>Apply unofficial Wine-Staging patches for advanced feature support that haven't made it into upstream Wine yet</flag>
- <flag name='win32'>Build a 32bit version of Wine (won't run Win64 binaries)</flag>
- <flag name='win64'>Build a 64bit version of Wine (won't run Win32 binaries)</flag>
</use>
</pkgmetadata>
diff --git a/app-emulation/wine/wine-1.2.3.ebuild b/app-emulation/wine/wine-1.2.3.ebuild
deleted file mode 100644
index b1ab41d246b7..000000000000
--- a/app-emulation/wine/wine-1.2.3.ebuild
+++ /dev/null
@@ -1,233 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-1.2.3.ebuild,v 1.28 2015/01/01 21:01:23 ryao Exp $
-
-EAPI="5"
-
-inherit eutils flag-o-matic multilib
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://source.winehq.org/git/wine.git"
- inherit git-2 autotools
- SRC_URI=""
- #KEYWORDS=""
-else
- AUTOTOOLS_AUTO_DEPEND="no"
- inherit autotools
- MY_P="${PN}-${PV/_/-}"
- SRC_URI="mirror://sourceforge/${PN}/Source/${MY_P}.tar.bz2"
- KEYWORDS="-* amd64 x86 ~x86-fbsd"
- S=${WORKDIR}/${MY_P}
-fi
-
-pulse_patches() { echo "$1"/winepulse-{0.36,0.35-configure.ac,0.38-winecfg}.patch ; }
-GV="1.0.0-x86"
-DESCRIPTION="Free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="${SRC_URI}
- gecko? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}.cab )
- pulseaudio? ( `pulse_patches http://art.ified.ca/downloads/winepulse` )"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-IUSE="alsa capi cups custom-cflags dbus elibc_glibc fontconfig +gecko gnutls gphoto2 gsm jack jpeg ldap mp3 nas ncurses openal +opengl +oss +perl png +prelink pulseaudio samba scanner ssl test +threads +truetype v4l +win32 +win64 +X xcomposite xinerama xml"
-REQUIRED_USE="elibc_glibc? ( threads )" #286560
-RESTRICT="test" #72375
-
-MLIB_DEPS="amd64? (
- truetype? ( >=app-emulation/emul-linux-x86-xlibs-2.1 )
- X? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- )
- mp3? ( app-emulation/emul-linux-x86-soundlibs )
- openal? ( app-emulation/emul-linux-x86-sdl )
- opengl? ( app-emulation/emul-linux-x86-opengl )
- scanner? ( app-emulation/emul-linux-x86-medialibs )
- v4l? ( app-emulation/emul-linux-x86-medialibs )
- app-emulation/emul-linux-x86-baselibs
- >=sys-kernel/linux-headers-2.6
- )"
-RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 )
- perl? ( dev-lang/perl dev-perl/XML-Simple )
- capi? ( net-dialup/capi4k-utils )
- ncurses? ( >=sys-libs/ncurses-5.2 )
- fontconfig? ( media-libs/fontconfig:= )
- gphoto2? ( media-libs/libgphoto2:= )
- jack? ( media-sound/jack-audio-connection-kit )
- openal? ( media-libs/openal:= )
- dbus? ( sys-apps/dbus )
- gnutls? ( net-libs/gnutls:= )
- X? (
- x11-libs/libICE
- x11-libs/libSM
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXxf86vm
- )
- xinerama? ( x11-libs/libXinerama )
- alsa? ( media-libs/alsa-lib )
- nas? ( media-libs/nas )
- cups? ( net-print/cups:= )
- opengl? (
- virtual/glu
- virtual/opengl
- )
- pulseaudio? ( media-sound/pulseaudio )
- gsm? ( media-sound/gsm:= )
- jpeg? ( virtual/jpeg:0= )
- ldap? ( net-nds/openldap:= )
- mp3? ( >=media-sound/mpg123-1.5.0 )
- samba? ( >=net-fs/samba-3.0.25 )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends:= )
- ssl? ( dev-libs/openssl:0= )
- png? ( media-libs/libpng:0= )
- v4l? ( media-libs/libv4l )
- !win64? ( ${MLIB_DEPS} )
- win32? ( ${MLIB_DEPS} )
- xcomposite? ( x11-libs/libXcomposite )"
-DEPEND="${RDEPEND}
- pulseaudio? ( ${AUTOTOOLS_DEPEND} )
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- xinerama? ( x11-proto/xineramaproto )
- prelink? ( sys-devel/prelink )
- virtual/pkgconfig
- virtual/yacc
- sys-devel/flex"
-
-wine_build_environment_check() {
- [[ ${MERGE_TYPE} = "binary" ]] && return 0
-
- if use win64 && [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]]; then
- eerror "You need gcc-4.4+ to build 64-bit wine"
- eerror
- return 1
- fi
-}
-
-pkg_pretend() {
- wine_build_environment_check || die
-}
-
-pkg_setup() {
- wine_build_environment_check || die
-}
-
-src_unpack() {
- if [[ ${PV} == "9999" ]] ; then
- git-2_src_unpack
- else
- unpack ${MY_P}.tar.bz2
- fi
-}
-
-src_prepare() {
- local md5="$(md5sum server/protocol.def)"
- if use pulseaudio ; then
- EPATCH_OPTS=-p1 epatch `pulse_patches "${DISTDIR}"`
- eautoreconf
- fi
- epatch "${FILESDIR}"/${PN}-1.1.15-winegcc.patch #260726
- epatch "${FILESDIR}"/${PN}-1.2.3-msxml3-libxml2-headers.patch #397993
- epatch_user #282735
- if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
- einfo "server/protocol.def was patched; running tools/make_requests"
- tools/make_requests || die #432348
- fi
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-do_configure() {
- local builddir="${WORKDIR}/wine$1"
- mkdir -p "${builddir}"
- pushd "${builddir}" >/dev/null
-
- ECONF_SOURCE=${S} \
- econf \
- --sysconfdir=/etc/wine \
- $(use_with alsa) \
- $(use_with capi) \
- --without-cms \
- $(use_with cups) \
- $(use_with ncurses curses) \
- --without-esd \
- $(use_with fontconfig) \
- $(use_with gnutls) \
- $(use_with gphoto2 gphoto) \
- $(use_with gsm) \
- --without-hal \
- $(use_with jack) \
- $(use_with jpeg) \
- $(use_with ldap) \
- $(use_with mp3 mpg123) \
- $(use_with nas) \
- $(use_with openal) \
- $(use_with opengl) \
- $(use_with ssl openssl) \
- $(use_with oss) \
- $(use_with png) \
- $(use_with threads pthread) \
- $(use pulseaudio && use_with pulseaudio pulse) \
- $(use_with scanner sane) \
- $(use_enable test tests) \
- $(use_with truetype freetype) \
- $(use_with v4l) \
- $(use_with X x) \
- $(use_with xcomposite) \
- $(use_with xinerama) \
- $(use_with xml) \
- $(use_with xml xslt) \
- $2
-
- emake -j1 depend
-
- popd >/dev/null
-}
-src_configure() {
- export LDCONFIG=/bin/true
- use custom-cflags || strip-flags
-
- if use win64 ; then
- do_configure 64 --enable-win64
- use win32 && ABI=x86 do_configure 32 --with-wine64=../wine64
- else
- ABI=x86 do_configure 32 --disable-win64
- fi
-}
-
-src_compile() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" all
- done
-}
-
-src_install() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" install DESTDIR="${D}"
- done
- dodoc ANNOUNCE AUTHORS README
- if use gecko ; then
- insinto /usr/share/wine/gecko
- doins "${DISTDIR}"/wine_gecko-${GV}.cab
- fi
- if ! use perl ; then
- rm "${D}"/usr/bin/{wine{dump,maker},function_grep.pl} "${D}"/usr/share/man/man1/wine{dump,maker}.1 || die
- fi
-}
-
-pkg_postinst() {
- paxctl -psmr "${ROOT}"/usr/bin/wine{,-preloader} 2>/dev/null #255055
-}
diff --git a/app-emulation/wine/wine-1.3.28.ebuild b/app-emulation/wine/wine-1.3.28.ebuild
deleted file mode 100644
index b8fa465cda24..000000000000
--- a/app-emulation/wine/wine-1.3.28.ebuild
+++ /dev/null
@@ -1,213 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-1.3.28.ebuild,v 1.20 2015/01/01 21:01:23 ryao Exp $
-
-EAPI="5"
-
-inherit eutils flag-o-matic multilib
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://source.winehq.org/git/wine.git"
- inherit git-2
- SRC_URI=""
- #KEYWORDS=""
-else
- MY_P="${PN}-${PV/_/-}"
- SRC_URI="mirror://sourceforge/${PN}/Source/${MY_P}.tar.bz2"
- KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
- S=${WORKDIR}/${MY_P}
-fi
-
-GV="1.3"
-DESCRIPTION="Free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="${SRC_URI}
- gecko? (
- mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86.msi
- win64? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
- )"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-IUSE="alsa capi cups custom-cflags dbus elibc_glibc fontconfig +gecko gnutls gphoto2 gsm gstreamer jpeg ldap mp3 ncurses nls openal opencl +opengl +oss +perl png +prelink samba scanner ssl test +threads +truetype v4l +win32 +win64 +X xcomposite xinerama xml"
-REQUIRED_USE="elibc_glibc? ( threads )" #286560
-RESTRICT="test" #72375
-
-MLIB_DEPS="amd64? (
- truetype? ( >=app-emulation/emul-linux-x86-xlibs-2.1 )
- X? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- )
- mp3? ( app-emulation/emul-linux-x86-soundlibs )
- openal? ( app-emulation/emul-linux-x86-sdl )
- opengl? ( app-emulation/emul-linux-x86-opengl )
- scanner? ( app-emulation/emul-linux-x86-medialibs )
- v4l? ( app-emulation/emul-linux-x86-medialibs )
- app-emulation/emul-linux-x86-baselibs
- >=sys-kernel/linux-headers-2.6
- )"
-RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 )
- perl? ( dev-lang/perl dev-perl/XML-Simple )
- capi? ( net-dialup/capi4k-utils )
- ncurses? ( >=sys-libs/ncurses-5.2:= )
- fontconfig? ( media-libs/fontconfig:= )
- gphoto2? ( media-libs/libgphoto2:= )
- openal? ( media-libs/openal:= )
- dbus? ( sys-apps/dbus )
- gnutls? ( net-libs/gnutls:= )
- gstreamer? ( media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 )
- X? (
- x11-libs/libICE
- x11-libs/libSM
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXxf86vm
- )
- xinerama? ( x11-libs/libXinerama )
- alsa? ( media-libs/alsa-lib )
- cups? ( net-print/cups:= )
- opencl? ( virtual/opencl )
- opengl? (
- virtual/glu
- virtual/opengl
- )
- gsm? ( media-sound/gsm:= )
- jpeg? ( virtual/jpeg:0= )
- ldap? ( net-nds/openldap:= )
- mp3? ( >=media-sound/mpg123-1.5.0 )
- nls? ( sys-devel/gettext )
- samba? ( >=net-fs/samba-3.0.25 )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends:= )
- ssl? ( dev-libs/openssl:0= )
- png? ( media-libs/libpng:0= )
- v4l? ( media-libs/libv4l )
- !win64? ( ${MLIB_DEPS} )
- win32? ( ${MLIB_DEPS} )
- xcomposite? ( x11-libs/libXcomposite )"
-DEPEND="${RDEPEND}
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- xinerama? ( x11-proto/xineramaproto )
- prelink? ( sys-devel/prelink )
- virtual/pkgconfig
- virtual/yacc
- sys-devel/flex"
-
-src_unpack() {
- if use win64 ; then
- [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]] \
- && die "you need gcc-4.4+ to build 64bit wine"
- fi
-
- if [[ ${PV} == "9999" ]] ; then
- git-2_src_unpack
- else
- unpack ${MY_P}.tar.bz2
- fi
-}
-
-src_prepare() {
- local md5="$(md5sum server/protocol.def)"
- epatch "${FILESDIR}"/${PN}-1.1.15-winegcc.patch #260726
- epatch_user #282735
- if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
- einfo "server/protocol.def was patched; running tools/make_requests"
- tools/make_requests || die #432348
- fi
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-do_configure() {
- local builddir="${WORKDIR}/wine$1"
- mkdir -p "${builddir}"
- pushd "${builddir}" >/dev/null
-
- ECONF_SOURCE=${S} \
- econf \
- --sysconfdir=/etc/wine \
- $(use_with alsa) \
- $(use_with capi) \
- --without-cms \
- $(use_with cups) \
- $(use_with ncurses curses) \
- $(use_with fontconfig) \
- $(use_with gnutls) \
- $(use_with gphoto2 gphoto) \
- $(use_with gsm) \
- $(use_with gstreamer) \
- --without-hal \
- $(use_with jpeg) \
- $(use_with ldap) \
- $(use_with mp3 mpg123) \
- $(use_with nls gettextpo) \
- $(use_with openal) \
- $(use_with opencl) \
- $(use_with opengl) \
- $(use_with ssl openssl) \
- $(use_with oss) \
- $(use_with png) \
- $(use_with threads pthread) \
- $(use_with scanner sane) \
- $(use_enable test tests) \
- $(use_with truetype freetype) \
- $(use_with v4l) \
- $(use_with X x) \
- $(use_with xcomposite) \
- $(use_with xinerama) \
- $(use_with xml) \
- $(use_with xml xslt) \
- $2
-
- emake -j1 depend
-
- popd >/dev/null
-}
-src_configure() {
- export LDCONFIG=/bin/true
- use custom-cflags || strip-flags
-
- if use win64 ; then
- do_configure 64 --enable-win64
- use win32 && ABI=x86 do_configure 32 --with-wine64=../wine64
- else
- ABI=x86 do_configure 32 --disable-win64
- fi
-}
-
-src_compile() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" all
- done
-}
-
-src_install() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" install DESTDIR="${D}"
- done
- dodoc ANNOUNCE AUTHORS README
- if use gecko ; then
- insinto /usr/share/wine/gecko
- doins "${DISTDIR}"/wine_gecko-${GV}-x86.msi
- use win64 && doins "${DISTDIR}"/wine_gecko-${GV}-x86_64.msi
- fi
- if ! use perl ; then
- rm "${D}"/usr/bin/{wine{dump,maker},function_grep.pl} "${D}"/usr/share/man/man1/wine{dump,maker}.1 || die
- fi
-}
-
-pkg_postinst() {
- paxctl -psmr "${ROOT}"/usr/bin/wine{,-preloader} 2>/dev/null #255055
-}
diff --git a/app-emulation/wine/wine-1.4.1.ebuild b/app-emulation/wine/wine-1.4.1.ebuild
deleted file mode 100644
index f366993f966f..000000000000
--- a/app-emulation/wine/wine-1.4.1.ebuild
+++ /dev/null
@@ -1,249 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-1.4.1.ebuild,v 1.15 2015/01/01 21:01:23 ryao Exp $
-
-EAPI="5"
-
-inherit autotools eutils flag-o-matic multilib pax-utils
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://source.winehq.org/git/wine.git"
- inherit git-2
- SRC_URI=""
- #KEYWORDS=""
-else
- MY_P="${PN}-${PV/_/-}"
- SRC_URI="mirror://sourceforge/${PN}/Source/${MY_P}.tar.bz2"
- KEYWORDS="-* amd64 x86 ~x86-fbsd"
- S=${WORKDIR}/${MY_P}
-fi
-
-GV="1.4"
-DESCRIPTION="Free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="${SRC_URI}
- gecko? (
- mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86.msi
- win64? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
- )"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-IUSE="alsa capi cups custom-cflags elibc_glibc fontconfig +gecko gnutls gphoto2 gsm gstreamer jpeg ldap mp3 ncurses nls odbc openal opencl +opengl +oss +perl png +prelink samba scanner selinux ssl test +threads +truetype udisks v4l +win32 +win64 +X xcomposite xinerama xml"
-REQUIRED_USE="elibc_glibc? ( threads )" #286560
-RESTRICT="test" #72375
-
-MLIB_DEPS="amd64? (
- truetype? ( >=app-emulation/emul-linux-x86-xlibs-2.1 )
- X? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- )
- mp3? ( app-emulation/emul-linux-x86-soundlibs )
- odbc? ( app-emulation/emul-linux-x86-db )
- openal? ( app-emulation/emul-linux-x86-sdl )
- opengl? ( app-emulation/emul-linux-x86-opengl )
- scanner? ( app-emulation/emul-linux-x86-medialibs )
- v4l? ( app-emulation/emul-linux-x86-medialibs )
- app-emulation/emul-linux-x86-baselibs
- >=sys-kernel/linux-headers-2.6
- )"
-RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 )
- perl? ( dev-lang/perl dev-perl/XML-Simple )
- capi? ( net-dialup/capi4k-utils )
- ncurses? ( >=sys-libs/ncurses-5.2:= )
- fontconfig? ( media-libs/fontconfig:= )
- gphoto2? ( media-libs/libgphoto2:= )
- openal? ( media-libs/openal:= )
- udisks? (
- sys-apps/dbus
- sys-fs/udisks:0
- )
- gnutls? ( net-libs/gnutls:= )
- gstreamer? ( media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 )
- X? (
- x11-libs/libICE
- x11-libs/libSM
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXxf86vm
- )
- xinerama? ( x11-libs/libXinerama )
- alsa? ( media-libs/alsa-lib )
- cups? ( net-print/cups:= )
- opencl? ( virtual/opencl )
- opengl? (
- virtual/glu
- virtual/opengl
- )
- gsm? ( media-sound/gsm:= )
- jpeg? ( virtual/jpeg:0= )
- ldap? ( net-nds/openldap:= )
- mp3? ( >=media-sound/mpg123-1.5.0 )
- nls? ( sys-devel/gettext )
- odbc? ( dev-db/unixODBC:= )
- samba? ( >=net-fs/samba-3.0.25 )
- selinux? ( sec-policy/selinux-wine )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends:= )
- ssl? ( dev-libs/openssl:0= )
- png? ( media-libs/libpng:0= )
- v4l? ( media-libs/libv4l )
- !win64? ( ${MLIB_DEPS} )
- win32? ( ${MLIB_DEPS} )
- xcomposite? ( x11-libs/libXcomposite )"
-DEPEND="${RDEPEND}
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- xinerama? ( x11-proto/xineramaproto )
- prelink? ( sys-devel/prelink )
- virtual/pkgconfig
- virtual/yacc
- sys-devel/flex"
-
-wine_build_environment_check() {
- [[ ${MERGE_TYPE} = "binary" ]] && return 0
-
- if use win64 && [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]]; then
- eerror "You need gcc-4.4+ to build 64-bit wine"
- eerror
- return 1
- fi
-
- if use win32 && use opencl && [[ x$(eselect opencl show 2> /dev/null) = "xintel" ]]; then
- eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
- eerror "See https://bugs.gentoo.org/487864 for more details."
- eerror
- return 1
- fi
-}
-
-pkg_pretend() {
- wine_build_environment_check || die
-}
-
-pkg_setup() {
- wine_build_environment_check || die
-}
-
-src_unpack() {
- if [[ ${PV} == "9999" ]] ; then
- git-2_src_unpack
- else
- unpack ${MY_P}.tar.bz2
- fi
-}
-
-src_prepare() {
- local md5="$(md5sum server/protocol.def)"
- epatch "${FILESDIR}"/${PN}-1.1.15-winegcc.patch #260726
- epatch "${FILESDIR}"/${PN}-1.4_rc2-multilib-portage.patch #395615
- epatch_user #282735
- if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
- einfo "server/protocol.def was patched; running tools/make_requests"
- tools/make_requests || die #432348
- fi
- eautoreconf
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-do_configure() {
- local builddir="${WORKDIR}/wine$1"
- mkdir -p "${builddir}"
- pushd "${builddir}" >/dev/null
-
- ECONF_SOURCE=${S} \
- econf \
- --sysconfdir=/etc/wine \
- $(use_with alsa) \
- $(use_with capi) \
- --without-cms \
- $(use_with cups) \
- $(use_with ncurses curses) \
- $(use_with udisks dbus) \
- $(use_with fontconfig) \
- $(use_with gnutls) \
- $(use_with gphoto2 gphoto) \
- $(use_with gsm) \
- $(use_with gstreamer) \
- --without-hal \
- $(use_with jpeg) \
- $(use_with ldap) \
- $(use_with mp3 mpg123) \
- $(use_with nls gettext) \
- $(use_with openal) \
- $(use_with opencl) \
- $(use_with opengl) \
- $(use_with ssl openssl) \
- $(use_with oss) \
- $(use_with png) \
- $(use_with threads pthread) \
- $(use_with scanner sane) \
- $(use_enable test tests) \
- $(use_with truetype freetype) \
- $(use_with v4l) \
- $(use_with X x) \
- $(use_with xcomposite) \
- $(use_with xinerama) \
- $(use_with xml) \
- $(use_with xml xslt) \
- $2
-
- emake -j1 depend
-
- popd >/dev/null
-}
-
-src_configure() {
- export LDCONFIG=/bin/true
- use custom-cflags || strip-flags
-
- if use win64 ; then
- do_configure 64 --enable-win64
- use win32 && ABI=x86 do_configure 32 --with-wine64=../wine64
- else
- ABI=x86 do_configure 32 --disable-win64
- fi
-}
-
-src_compile() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" all
- done
-}
-
-src_install() {
- local b
- for b in 64 32 ; do
- local builddir="${WORKDIR}/wine${b}"
- [[ -d ${builddir} ]] || continue
- emake -C "${builddir}" install DESTDIR="${D}"
- done
- dodoc ANNOUNCE AUTHORS README
- if use gecko ; then
- insinto /usr/share/wine/gecko
- doins "${DISTDIR}"/wine_gecko-${GV}-x86.msi
- use win64 && doins "${DISTDIR}"/wine_gecko-${GV}-x86_64.msi
- fi
- if ! use perl ; then
- rm "${D}"usr/bin/{wine{dump,maker},function_grep.pl} "${D}"usr/share/man/man1/wine{dump,maker}.1 || die
- fi
-
- if use win32 || ! use win64; then
- pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
- fi
- use win64 && pax-mark psmr "${D}"usr/bin/wine64{,-preloader}
-
- if use win64 && ! use win32; then
- dosym /usr/bin/wine{64,} # 404331
- dosym /usr/bin/wine{64,}-preloader
- fi
-}